QXmppJingleCandidate Class Reference

The QXmppJingleCandidate class represents a transport candidate as specified by XEP-0176: Jingle ICE-UDP Transport Method. More...

`#include <QXmppJingleIq.h>`

## Public Types

enum | Type { HostType, PeerReflexiveType, ServerReflexiveType, RelayedType }
| This enum is used to describe a candidate's type. More...

## Public Member Functions

| QXmppJingleCandidate ()
| Constructs an empty candidate.
| QXmppJingleCandidate (const QXmppJingleCandidate &other)
QXmppJingleCandidate & | operator= (const QXmppJingleCandidate &other)
int | component () const
| Returns the candidate's component ID.
void | setComponent (int component)
QString | foundation () const
| Returns the candidate's foundation.
void | setFoundation (const QString &foundation)
int | generation () const
| Returns the candidate's generation.
void | setGeneration (int generation)
QHostAddress | host () const
void | setHost (const QHostAddress &host)
QString | id () const
void | setId (const QString &id)
int | network () const
void | setNetwork (int network)
quint16 | port () const
void | setPort (quint16 port)
int | priority () const
void | setPriority (int priority)
QString | protocol () const
void | setProtocol (const QString &protocol)
QXmppJingleCandidate::Type | type () const
void | setType (QXmppJingleCandidate::Type)
bool | isNull () const

## Detailed Description

The QXmppJingleCandidate class represents a transport candidate as specified by XEP-0176: Jingle ICE-UDP Transport Method.

## Member Enumeration Documentation

enum QXmppJingleCandidate::Type

This enum is used to describe a candidate's type.

Enumerator
HostType | Host candidate, a local address/port.
PeerReflexiveType | Peer-reflexive candidate, the address/port as seen from the peer.
ServerReflexiveType | Server-reflexive candidate, the address/port as seen by the STUN server
RelayedType | Relayed candidate, a candidate from a TURN relay.

## Constructor & Destructor Documentation

QXmppJingleCandidate::QXmppJingleCandidate | ( | const QXmppJingleCandidate & | other | ) |

Constructs a copy of other.

Parameters

  other |

## Member Function Documentation

QHostAddress QXmppJingleCandidate::host | ( |  | ) | const

Returns the candidate's host address.

QString QXmppJingleCandidate::id | ( |  | ) | const

Returns the candidate's unique identifier.

bool QXmppJingleCandidate::isNull | ( |  | ) | const

Returns true if the host address or port are empty.

int QXmppJingleCandidate::network | ( |  | ) | const

Returns the network index (starting at 0) the candidate is on.

QXmppJingleCandidate & QXmppJingleCandidate::operator= | ( | const QXmppJingleCandidate & | other | ) |

Assigns the other candidate to this one.

Parameters

  other |

quint16 QXmppJingleCandidate::port | ( |  | ) | const

Returns the candidate's port number.

int QXmppJingleCandidate::priority | ( |  | ) | const

Returns the candidate's priority.

QString QXmppJingleCandidate::protocol | ( |  | ) | const

Returns the candidate's protocol (e.g. "udp").

void QXmppJingleCandidate::setComponent | ( | int | component | ) |

Sets the candidates's component ID.

Parameters

  component |

void QXmppJingleCandidate::setFoundation | ( | const QString & | foundation | ) |

Sets the candidate's foundation.

Parameters

  foundation |

void QXmppJingleCandidate::setGeneration | ( | int | generation | ) |

Sets the candidate's generation.

Parameters

  generation |

void QXmppJingleCandidate::setHost | ( | const QHostAddress & | host | ) |

Sets the candidate's host address.

Parameters

  host |

void QXmppJingleCandidate::setId | ( | const QString & | id | ) |

Sets the candidate's unique identifier.

Parameters

  id |

void QXmppJingleCandidate::setNetwork | ( | int | network | ) |

Sets the network index (starting at 0) the candidate is on.

Parameters

  network |

void QXmppJingleCandidate::setPort | ( | quint16 | port | ) |

Sets the candidate's port number.

Parameters

  port |

void QXmppJingleCandidate::setPriority | ( | int | priority | ) |

Sets the candidate's priority.

Parameters

  priority |

void QXmppJingleCandidate::setProtocol | ( | const QString & | protocol | ) |

Sets the candidate's protocol (e.g. "udp").

Parameters

  protocol |

void QXmppJingleCandidate::setType | ( | QXmppJingleCandidate::Type | type | ) |

Sets the candidate type (e.g. "host").

Parameters

  type |

QXmppJingleCandidate::Type QXmppJingleCandidate::type | ( |  | ) | const

Returns the candidate type (e.g. "host").

The documentation for this class was generated from the following files:

- QXmppJingleIq.h
- QXmppJingleIq.cpp